# @extends

## Projects #projects

* [Getting Started](/getting-started)
    * [Try](/getting-started/try)
    * [Use](/getting-started/use)

* [Coding](/coding)
    * [Autonomous Parking](/coding/autonomous-parking)
    * [Object Detection](/coding/object-detection)
    * [Line Following](/coding/line-following)
        
* [Design Engineering](/design-engineering)
    * [Make It Move Without Wheels](/design-engineering/make-it-move)
    * [Make It Smarter and Faster](/design-engineering/make-it-smarter)
    * [Make a System that Communicates](/design-engineering/make-it-communicate)

* [Maker](/maker)
    * [Make a Sound Machine](/maker/sound-machine)

* [Examples](/examples)
    * [Make it move](/lessons/make-it-move)
    * [Line detection](/lessons/line-detection)
    * [Sound of Color](/maker/sound-of-color)
    * [Security Gadget](/maker/security-gadget)
    * [Intruder detector](/maker/intruder-detector)
    * [Puppet](/maker/puppet)
    * [Three Point Turn 1](/coding/three-point-turn-1)
    * [Three Point Turn 2](/coding/three-point-turn-2)
    * [Three Point Turn 3](/coding/three-point-turn-3)
    * [Reversing the robot 1](/coding/reversing-the-robot-1)
    * [Reversing the robot 2](/coding/reversing-the-robot-2)
    * [Reversing the robot 3](/coding/reversing-the-robot-3)
    * [Light the way 1](/coding/light-the-way-1)
    * [Light the way 2](/coding/light-the-way-2)
    * [Light the way 3](/coding/light-the-way-3)
    * [Traffic Lights 1](/coding/traffic-lights-1)
    * [Traffic Lights 2](/coding/traffic-lights-2)
    * [Traffic Lights 3](/coding/traffic-lights-3)
    * [Reverse Beeper 1](/coding/reverse-beeper-1)
    * [Reverse Beeper 2](/coding/reverse-beeper-2)
    * [Reverse Beeper 3](/coding/reverse-beeper-3)
    * [Ignition 1](/coding/ignition-1)
    * [Ignition 2](/coding/ignition-2)
    * [Ignition 3](/coding/ignition-3)
    * [Cruise Control 1](/coding/cruise-control-1)
    * [Cruise Control 2](/coding/cruise-control-2)
    * [Cruise Control 3](/coding/cruise-control-3)
    * [Roaming 1](/coding/roaming-1)
    * [Roaming 2](/coding/roaming-2)

## Reference #reference

* [Reference](/reference)
    * [Brick](/reference/brick)
        * [show string](/reference/brick/show-string)
        * [show number](/reference/brick/show-number)
        * [show value](/reference/brick/show-value)
        * [show mood](/reference/brick/show-mood)
        * [show image](/reference/brick/show-image)
        * [clear screen](/reference/brick/clear-screen)
        * [on event](/reference/brick/button/on-event)
        * [is pressed](/reference/brick/button/is-pressed)
        * [was pressed](/reference/brick/button/was-pressed)
        * [pause until](/reference/brick/button/pause-until)
        * [set light](/reference/brick/set-status-light)
        * [battery level](/reference/brick/battery-level)
    * [Motors](/reference/motors)
        * [run](/reference/motors/motor/run)
        * [stop](/reference/motors/motor/stop)
        * [reset](/reference/motors/motor/reset)
        * [set brake](/reference/motors/motor/set-brake)
        * [set inverted](/reference/motors/motor/set-inverted)
        * [set regulated](/reference/motors/motor/set-regulated)
        * [tank](/reference/motors/synced/tank)
        * [steer](/reference/motors/synced/steer)
        * [tacho](/reference/motors/motor/tacho)
        * [angle](/reference/motors/motor/angle)
        * [speed](/reference/motors/motor/speed)
        * [clear counts](/reference/motors/motor/clear-counts)
        * [stop all motors](/reference/motors/stop-all)
    * [Sensors](/reference/sensors)
        * [Touch](/reference/sensors/touch-sensor)
            * [on event](/reference/sensors/touch-sensor/on-event)
            * [pause until](/reference/sensors/touch-sensor/pause-until)
            * [is pressed](/reference/sensors/touch-sensor/is-pressed)
            * [was pressed](/reference/sensors/touch-sensor/was-pressed)
        * [Gyro](/reference/sensors/gyro)
            * [angle](/reference/sensors/gyro/angle)
            * [rate](/reference/sensors/gyro/rate)
            * [reset](/reference/sensors/gyro/reset)
        * [Ultrasonic](/reference/sensors/ultrasonic)
            * [on event](/reference/sensors/ultrasonic/on-event)
            * [distance](reference/sensors/ultrasonic/distance)
            * [pause until](reference/sensors/ultrasonic/pause-until)
        * [Infrared](/reference/sensors/infrared)
            * [on event](/reference/sensors/infrared/on-event)
            * [distance](reference/sensors/infrared/proximity)
            * [pause until](reference/sensors/infrared/pause-until)
        * [Infrared beacon](/reference/sensors/beacon)
            * [on event](/reference/sensors/beacon/on-event)
            * [pause until](/reference/sensors/beacon/pause-until)
            * [is pressed](/reference/sensors/beacon/is-pressed)
            * [was pressed](/reference/sensors/beacon/was-pressed)
            * [set remote channel](/reference/sensors/beacon/set-remote-channel)
        * [Color](/reference/sensors/color-sensor)
            * [on color detected](/reference/sensors/color-sensor/on-color-detected)
            * [pause for color](/reference/sensors/color-sensor/pause-for-color)
            * [on light changed](/reference/sensors/color-sensor/on-light-changed)
            * [pause for light](/reference/sensors/color-sensor/pause-for-light)
            * [color](/reference/sensors/color-sensor/color)
            * [light](/reference/sensors/color-sensor/ambient-light)
    * [Music](/reference/music)
        * [play sound effect](/reference/music/play-sound-effect)
        * [play sound effect until done](/reference/music/play-sound-effect-until-done)
        * [play tone](/reference/music/play-tone)
        * [ring tone](/reference/music/ring-tone)
        * [stop all sounds](/reference/music/stop-all-sounds)
        * [rest](/reference/music/rest)
        * [change tempo by](/reference/music/change-tempo-by)
        * [set tempo](/reference/music/set-tempo)
        * [note frequency](/reference/music/note-frequency)
        * [beat](/reference/music/beat)
        * [set volume](/reference/music/set-volume)
    * [Control](/reference/control)
        * [Timer](/reference/control/timer)
            * [seconds](/reference/control/timer/seconds)
            * [millis](/reference/control/timer/millis)
            * [reset](/reference/control/timer/reset)
            * [pause until](/reference/control/timer/pause-until)
    * [Console](/reference/console)
        * [log](/reference/console/log)
        * [log value](/reference/console/log-value)
        * [send to screen](/reference/console/send-to-screen)
