# Make It Move Without Wheels

## ~ avatar

Design, build and program a robot that can move itself using no wheels for locomotion.

## ~

## Connect

### Design Brief

Design, build and program a robot that can move itself a distance of at least 30cm, using at least one motor, using NO wheels for locomotion.

### Brainstorm

Discuss different solutions to the design brief.

Think about:

How can robots move without wheels? For example, how will you:
* Connect the motor(s) to something to make the robot walk, crawl, or wiggle?
How will you program the robot to move? For example, which programming blocks will you use to:
* Turn on and turn off the motor or motors?
* Display the distance moved?

### Select the Best Solution

Describe the solution that you have agreed to build and program.

Think about examples from your brainstorming discussion. Then explain why you chose this solution for the design brief.

![The Mars rover](/static/lessons/make-it-move/hero.png)

https://www.youtube.com/ErC_s3hLGMk

## Construct

### Build and Program

Now you are ready to start building and programming your solution!

```blocks
motors.largeBC.tank(-60, 60, 9, MoveUnit.Rotations);
motors.stopAll();
```

As you work on your solution:

* Describe one part of your design that worked especially well.
* Describe one design change that you had to make.

What will you try next?
	
As you test your design solution, use the table for recording your findings.

[**VIEW BUILDING INSTRUCTIONS**](TODO) for a sample solution. (7.8 MB, PDF)

## Contemplate

### Test and Analyze

How well does your solution satisfy the design brief? Record your data. Name the columns and rows, such as Trial Number, Distance Moved, and Observations.

### Review and Revise

Take a moment to reflect on your robot solution.

Think about:
* Is the robot using something other than wheels to move? Trace the movement from the motor axle to the mechanism(s) that drives the robot forward, backward or sideways. Wheels can be used to stabilize the robot but not to drive it.
* Does the robot display the distance moved?
* Is it accurate? How do you know?
Describe two ways you could improve your robot.

## Continue

### Communicate

Here are some ideas:
* Create a video of your project, especially your final presentation and your robot’s performance.
* Explain some important features of your software program.
* Produce a building guide for your model by taking a series of photographs as you deconstruct it.
* Include an image of your program with comments.
* Add a team photograph!

## ~ avatar

Congratulations! What will you design next?

## ~